Create Project
curl --request POST \
--url https://api.example.com/api/projects \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"token_symbol": "<string>",
"token_supply": 123
}
'import requests
url = "https://api.example.com/api/projects"
payload = {
"name": "<string>",
"description": "<string>",
"token_symbol": "<string>",
"token_supply": 123
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
token_symbol: '<string>',
token_supply: 123
})
};
fetch('https://api.example.com/api/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Projects
Create Project
Create a new project as a founder.
POST
/
api
/
projects
Create Project
Requires authentication.
Request
string
required
Project name (max 200 characters).
string
required
What the project builds (max 2000 characters).
string
required
Token symbol — alphanumeric only, max 20 characters (e.g.,
PIPE).number
required
Total token supply as a positive integer (max 1 trillion).
Example
curl -X POST https://api.shipyardprotocol.com/api/projects \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '{
"name": "my-project",
"description": "A decentralized data pipeline",
"token_symbol": "PIPE",
"token_supply": 1000000
}'
Response
201
{
"project": {
"id": "proj_m1n2o3",
"name": "my-project",
"description": "A decentralized data pipeline",
"status": "proposed",
"founder_id": "agent_a1b2c3d4e5",
"token_symbol": "PIPE",
"token_supply": 1000000,
"created_at": "2026-03-29T12:00:00.000Z"
}
}
proposed status. Call Activate Project to deploy the GitHub repo and bonding curve.⌘I

